Bug 1738065 - nwchem depends on Python 2
Summary: nwchem depends on Python 2
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nwchem
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: marcindulak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1745252 1747570
Blocks: F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-08-06 12:47 UTC by Lumír Balhar
Modified: 2019-09-02 05:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-02 05:11:30 UTC


Attachments (Terms of Use)

Description Lumír Balhar 2019-08-06 12:47:25 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for nwchem's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to nwchem.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Ben Cotton 2019-08-13 17:44:46 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 2 Lumír Balhar 2019-08-14 09:01:34 UTC
Please answer the above questions. If you don't the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, please let us know.

Comment 3 marcindulak 2019-08-15 19:17:14 UTC
I believe upstream nwchem supports Python3, but nwchem Makefile settings are not flexible enough to support the way Python3 is packaged across various directories on Fedora.

Issue submitted upstream https://github.com/nwchemgit/nwchem/issues/136

Comment 4 Lumír Balhar 2019-08-23 15:24:36 UTC
Thank you. Let's wait for a while.

Comment 5 Zbigniew Jędrzejewski-Szmek 2019-08-30 21:01:32 UTC
mpich-3.3.1 is in a buildroot override in F31. So if this bug depends on that in any way,
it is OK to proceed.

Comment 6 Lumír Balhar 2019-09-02 05:11:30 UTC
I can confirm that this package does not depend on Python 2 in rawhide.

Thank you!


Note You need to log in before you can comment on or make changes to this bug.